
function TagManager(csv) {
	this.tagArray = new Array();
	
	//初期処理
	if(csv) {
		var arr = csv.split(",");
		
		for(var i = 0; i < arr.length; i++) {
			if(arr[i] && arr[i] != "") {
				this.tagArray.push(arr[i]);
			}
		}
	}
	
	this.tagArray.sort();
	
	//------------------------------
	
	
	/*
	 *
	 *
	 */
	this.add = function(arr) {
		var change = false;
		
		for(var i = 0; i < arr.length; i++) {
			var found = contain(this.tagArray, arr[i]);
			
			if(!found) {
				this.tagArray.push(arr[i]);
				change = true;
			}
		}
		
		if(change)
			this.tagArray.sort();
		
		return change;
	}
	
	/*
	 *
	 *
	 */
	this.getPrefStr = function() {
		var str = "";
		
		for(var i = 0; i < this.tagArray.length; i++) {
			str += this.tagArray[i];
			
			if(i != this.tagArray.length - 1)
				str += ",";
		}
		
		return str;
	}
	
	/*
	 *
	 *
	 */
	this.getTag = function(index) {
		return this.tagArray[index];
	}
	
	/*
	 *
	 *
	 */
	this.length = function() {
		return this.tagArray.length;
	}
}