
/*
 *
 */
function openMoonfox() {
	try{
		const url = "chrome://moonfox/content/main/mainpanel.xul";
		var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
	           .getService(Components.interfaces.nsIWindowMediator);
		var browserEnumerator = wm.getEnumerator("navigator:browser");
		
		// Check each browser instance for our URL
		var found = false;
		
		while(browserEnumerator.hasMoreElements() && !found) {
			var browserInstance = browserEnumerator.getNext().getBrowser();
			
			// Check each tab of this browser instance
			var numTabs = browserInstance.mPanelContainer.childNodes.length;
			
			for(var i = 0; i < numTabs; i++) {
				var currentTab = browserInstance.getBrowserAtIndex(i);
				
				if (url == currentTab.currentURI.spec) {
				  // The URL is already opened. Select its tab.
				  browserInstance.selectedTab = currentTab;
				  // Focus *this* browser
				  browserInstance.focus();
				  found = true;
				}
				
				if(found)
					break;
			}
		}
	
		if(!found) {
			var newtab = gBrowser.addTab(url);
			gBrowser.selectedTab = newtab;
		}
	} catch(e) {
		alert(e);
	}
}