
function RecordBox(event, record, otherThread) {
	
	this.event = event;
	this.record = record;
	this.otherThread = otherThread;
	
	/**
	 * 
	 */
	this.show = function() {
		if(!this.record)
			return;
		
		var body = document.getElementById("body");
		var recbox = document.createElement("div");
		body.appendChild(recbox);
		recbox.id = "refbox_" + record.id;
		
		if(!this.otherThread)
			recbox.className = "referedbox";
		else
			recbox.className = "referedbox_other";
		
		
		var dl = makeRecordElement(record, true);
		recbox.appendChild(dl);
		
		var x = event.pageX - 10;
		var y = event.pageY - 10;
		
		var overLen = y + recbox.clientHeight - (window.pageYOffset + window.innerHeight);
		if(overLen > 0)
			y -= overLen;
		
		recbox.style.left = String(x) + "px";
		recbox.style.top = String(y) + "px";
		
		recbox.onmouseout = function(event) {
			var top = parseInt(recbox.style.top.replace(/[^0-9]/g,""));
			var left = parseInt(recbox.style.left.replace(/[^0-9]/g,""));
			var bottom = top + recbox.clientHeight;
			var right = left + recbox.clientWidth;
			var mX = event.pageX;
			var mY = event.pageY;
			if(mX < left || mX > right || mY < top || mY > bottom) {
				body.removeChild(recbox);
			}
		}
	}
}